E_PROTO_EVENT_FUNC(3)

PROTO_FUNC
e_PROTO_event_func - Event callback.

SYNOPSIS
#include <karma_e.h>

flag e_PROTO_event_func

(KPeriodicEventFunc func, void *f_info, void *l_info)

DESCRIPTION
This routine is called when a periodic event occurs.

func
    The KPeriodicEventFunc object.

f_info
    A pointer to arbitrary information for the function.

l_info
    A pointer to arbitrary information for the event list.

RETURN VALUE
TRUE if the event function should be called again, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/